"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _emptyFunction = _interopRequireDefault(require("fbjs/lib/emptyFunction"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * @example
 * createLogs()
 *
 * @return {['combined', { stream: fs.stream }]} - create logs data
 */
var _default = function _default() {
  var logsFolder = _path["default"].resolve('./logs');

  if (!_fs["default"].existsSync(logsFolder)) _fs["default"].mkdirSync(logsFolder);
  return ['combined', {
    stream: _fs["default"].createWriteStream(_path["default"].resolve(logsFolder, "".concat(new Date().getTime(), ".log")), {
      flags: 'a'
    }),
    skip: _emptyFunction["default"].thatReturns(process.env.NODE_ENV === 'test')
  }];
};

exports["default"] = _default;
module.exports = exports.default;